.\" (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\" License.
.\" Modified Sat Jul 24 18:40:56 1993 by Rik Faith (faith@cs.unc.edu)
.\" Modified 1995 by Mike Battersby (mib@deakin.edu.au)
.\"
.TH RAISE 3  "August 31, 1995" "GNU" "Linux Programmer's Manual"
.SH NAME
raise \- send a signal to the current process
.SH SYNOPSIS
.nf
.B #include <signal.h>
.sp
.BI "int raise (int " "sig" ");"
.fi
.SH DESCRIPTION
The 
.B raise
function sends a signal to the current process.
It is equivalent to
.sp
.RS
.BI "kill(getpid()," "sig" ")"
.RE
.SH "RETURN VALUE"
0 on success, nonzero for failure.
.SH "CONFORMING TO"
ANSI\-C
.SH "SEE ALSO"
.BR kill "(2), " signal "(2), " getpid (2)
